<?php
/*
 * ----------------------------------------------------------------------------
 * VConfig_VADV-PHP.php                                              02/20/2003
 * VADV-PHP Configuration
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2003 Steve Winn. All Rights Reserved.
 *
 * The source code contains a fair amount of comments, which may aid anyone
 * attempting to follow the program or to modify it.
 *
 * For licensing and copyright information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

require_once('va-functions.inc.php');       // A VADV-PHP script.
require_once('va-loginauth.inc.php');       // Login authentication.

if (($USER['userno'] == 0) || ($USER['securitylevel'] != 255)) die('You do not have access to this area. Press the BACK button of your browser.');
?>

<html>

<head>
<title>VADV-PHP VConfig (VADV-PHP Configuration)</title>
<meta http-equiv="Content-Language" content="en-us">
<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
<link rel="stylesheet" type="text/css" href="VCONFIG.css">
</head>

<body link="#FFFFFF" vlink="#FFFFFF" bgcolor="#000000">

<div align="center">
    <center>
    <table border="2" cellpadding="5" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="750" id="AutoNumber1" bgcolor="#FFFFFF">
        <tr>
            <td>
                <table border="0" cellspacing="0" style="border-collapse: collapse" id="AutoNumber2" cellpadding="5" bgcolor="#000080" width="100%">
                    <tr>
                        <td>
                        <div align="center">
                            <center>
                            <table border="0" style="border-collapse: collapse" cellpadding="5" cellspacing="0">
                                <tr>
                                    <td height="40" colspan="2">
                                        <p class="heading" align="center">VADV-PHP Configuration</p>
                                    </td>
                                </tr>
                                <form method="post" action="vconfig_vadv-php_process.php">
                                    <input type="hidden" name="process" value="1">
                                    <input type="hidden" name="referer" value="<?php print GetCurrentURL(); ?>">
                                    <tr>
                                        <td height="40" colspan="2">
                                            <p align="center" class="footer">
                                            <a class="footer" href="vconfig.php">Exit to VADV-PHP VConfig</a><br>
                                            <a class="footer" href="../index.php">Exit to BBS&#39;s VADV-PHP Page</a>
                                            </p>
                                        </td>
                                    </tr>
                                    <tr>
                                    	<td colspan="2" height="25"></td>
                                    </tr>
                                    <tr>
                                        <td colspan="2" style="border-top:1px solid #C0C0C0; border-bottom:1px solid #C0C0C0;">
                                            <p class="subHeading" align="center">General Settings</p>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="pre">BBS Telnet Address:</td>
                                        <td><input type="text" name="telnet" size="40" maxlength="40" value="<?php print $CONFIG['telnet']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Hostname (If Required):</td>
                                        <td><input type="text" name="hostname" size="40" maxlength="40" value="<?php print $CONFIG['hostname']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">File Hostname (If Required):</td>
                                        <td><input type="text" name="filehost" size="40" maxlength="40" value="<?php print $CONFIG['filehost']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">BBS Directory:</td>
                                        <td><input type="text" name="bbsdir" size="40" maxlength="40" value="<?php print $CONFIG['bbsdir']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Webmaster Email:</td>
                                        <td><input type="text" name="webmaster" size="40" maxlength="40" value="<?php print $CONFIG['webmaster']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Web User Security Level:</td>
                                        <td><input type="text" name="usersl" size="40" maxlength="40" value="<?php print $CONFIG['usersl']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Web User Access Flags:</td>
                                        <td><input type="text" name="useraccflags" size="40" maxlength="40" value="<?php print $CONFIG['useraccflags']; ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Web User Age:</td>
                                        <td><input type="text" name="userage" size="40" maxlength="40" value="<?php print $CONFIG['userage']; ?>"></td>
                                    </tr>
                                    <tr>
                                    	<td colspan="2" height="25"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre" colspan="2">
                                            <p align="center">
                                            <input type="submit" value="Apply" name="submit">
                                            <input type="submit" value="Reset" name="submit">
                                            </p>
                                        </td>
                                    </tr>
                                    <tr>
                                    	<td colspan="2" height="25"></td>
                                    </tr>
                                    <tr>
                                        <td height="40" colspan="2">
                                            <p align="center" class="footer">
                                            <a class="footer" href="vconfig.php">Exit to VADV-PHP VConfig</a><br>
                                            <a class="footer" href="../index.php">Exit to BBS&#39;s VADV-PHP Page</a>
                                            </p>
                                        </td>
                                    </tr>
                                </form>
                            </table>
                            </center>
                        </div>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
    </center>
</div>

</body>

</html>
