<?php
/*
 * ----------------------------------------------------------------------------
 * Who.php                                                           02/27/2003
 * This script will display the who's online screen for all configured nodes of
 * your BBS.
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2003 Steve Winn. All Rights Reserved.
 *
 * The source code contains a fair amount of comments, which may aid anyone
 * attempting to follow the program or to modify it.
 *
 * For licensing and copyright information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

require_once('va-functions.inc.php');       // A VADV-PHP script.
require_once('va-main.inc.php');
require_once('va-control.inc.php');

$who = array();
for ($x = 0; $x < 1 + $VA_MAIN['maxchannelno']; $x++) {
    $who[$x] = GetControl($x);
}
?>

<html>

<head>
<title>[Who's Online] - <?php print $VA_MAIN['bbsname']; ?></title>
<meta http-equiv="Content-Language" content="en-us">
<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
</head>

<body bgcolor="#000000">
<font face="Courier New" size="2">
<font color="#FFFFFF" size="3"><p align="right"><b>Virtual Advanced Who's Online</font></b>
<hr color="#525552">

<div align="center">
  <center>
  <table border="0" cellspacing="10" cellpadding="0">
    <tr>
      <td align="right" valign="top" style="border-bottom: 1px solid #525552"><b>
      <font face="Courier New" size="2" color="#FFFFFF">Ch #</font></b></td>
      <td align="right" valign="top" style="border-bottom: 1px solid #525552"><b>
      <font face="Courier New" size="2" color="#FFFFFF">User #</font></b></td>
      <td align="left" valign="top" style="border-bottom: 1px solid #525552"><b>
      <font face="Courier New" size="2" color="#FFFFFF">Handle</font></b></td>
      <td align="left" valign="top" style="border-bottom: 1px solid #525552"><b>
      <font face="Courier New" size="2" color="#FFFFFF">Action</font></b></td>
      <td align="left" valign="top"style="border-bottom: 1px solid #525552"><b>
      <font face="Courier New" size="2" color="#FFFFFF">Baud</font></b></td>
    </tr>
    <tr>
      <td align="right" valign="top" width="40">
      <font face="Courier New" size="2" color="#FFFFFF">

<?php
for ($x = 0; $x < 1 + $VA_MAIN['maxchannelno']; $x++) {
    print "        <font color=\"#FF5552\">" . $x . "<br>\n";
}
?>

      </font></td>
      <td align="right" valign="top" width="60">
      <font face="Courier New" size="2" color="#FFFFFF">

<?php
for ($x = 0; $x < 1 + $VA_MAIN['maxchannelno']; $x++) {
    print "        <font color=\"#5255FF\">" . $who[$x]['userno'] . "<br>\n";
}
?>

      </font></td>
      <td align="left" valign="top" width="210">
      <font face="Courier New" size="2" color="#FFFFFF">

<?php
for ($x = 0; $x < 1 + $VA_MAIN['maxchannelno']; $x++) {
    print "        <font color=\"#FFFFFF\">" . $who[$x]['handle'] . "<br>\n";
}
?>

      </font></td>
      <td align="left" valign="top" width="210">
      <font face="Courier New" size="2" color="#FFFFFF">

<?php
for ($x = 0; $x < 1 + $VA_MAIN['maxchannelno']; $x++) {
    print "        <font color=\"#FFFF52\">" . $who[$x]['action'] . "<br>\n";
}
?>

      </font></td>
      <td align="left" valign="top" width="60">
      <font face="Courier New" size="2" color="#FFFFFF">

<?php
for ($x = 0; $x < 1 + $VA_MAIN['maxchannelno']; $x++) {
    if ($who[$x]['baudrate'] == 0) {
        print "        <font color=\"#52FF52\">Local<br>\n";
    } else if ($who[$x]['baudrate'] == 11520) {
        print "        <font color=\"#52FF52\">115200<br>\n";
    } else if ($who[$x]['baudrate'] == 4294967295) {
        print "        <font color=\"#52FF52\"><br>\n";
    } else {
        print "        <font color=\"#52FF52\">" . $who[$x]['baudrate'] . "<br>\n";
    }
}
?>

      </font></td>
    </tr>
  </table>
  </center>
</div>
</font>

<hr color="#525552">
<font face="Verdana, Arial, Helvetica" color="#FFFFFF" size="1"><p align="center"><b>This display was created using <a href="http://www.vadvphp.com"><font color="#FFFFFF">VADV-PHP</font></a>.</b></p></font>

</body>

</html>
