<?php
/*
 * ----------------------------------------------------------------------------
 * BBSLogin.php                                                      03/25/2003
 * This is a login screen for the BBS's VADV-PHP page.
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2003 Steve Winn. All Rights Reserved.
 *
 * The source code contains a fair amount of comments, which may aid anyone
 * attempting to follow the program or to modify it.
 *
 * For licensing and copyright information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

require_once('va-functions.inc.php');
require_once('va-loginauth.inc.php');       // Login authentication.
require_once('va-main.inc.php');
require_once('common.inc.php');

if (($USER['userno'] != 0) && ($USER['securitylevel'] != 0) && (isset($_GET['url']))) {
    header('Location: ' . $_GET['url']);
    die();
}
?>
<html>

<head>
<title><?php print $VA_MAIN['bbsname']; ?>'s VADV-PHP Login</title>
<meta http-equiv="Content-Language" content="en-us">
<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
<meta name="copyright" content="Copyright  2003, Steve Winn">
<meta name="rating" content="General">
<link rel="stylesheet" type="text/css" href="VADVPHP.css">
</head>

<body bgcolor="#000000">

<div align="center">
    <center>
    <table border="1" width="640" cellspacing="0" cellpadding="5" bgcolor="#000080" bordercolor="#FFFFFF">
        <tr>
            <td valign="top">
                <p class="yellowTitle" align="center"><?php print $VA_MAIN['bbsname']; ?>'s VADV-PHP Login</p>
                <table cellspacing="1" width="100%">
                    <tr>
                        <td valign="top">
                            <p align="center">
                                <a class="return" href="index.php">Return to main BBS page.</a>
                                <?php LoginBox(); ?>
                            </p>
                        </td>
                    </tr>
                </table>
                <p align="center"><span class="navBar">This page is powered
                by <a class="navBar" href="http://www.vadvphp.com">VADV-PHP</a></span></p>
                <p align="center" class="infoBarBody">If you experience any problems
                with this website or need help, contact the
                <a class="infoBarBody" href="mailto:<?php print $CONFIG['webmaster']; ?>">webmaster</a>.<br>
                VADV-PHP Copyright  2002-<?php print date('Y'); ?> Aspect
                Technologies. All Rights Reserved.</p>
            </td>
        </tr>
    </table>
    </center>
</div>

</body>

</html>
