<?php
/*
 * ----------------------------------------------------------------------------
 * Todays_Callers.php                                                03/22/2003
 * This script will display the users who have called the BBS for today's date.
  * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2003 Steve Winn. All Rights Reserved.
 *
 * The source code contains a fair amount of comments, which may aid anyone
 * attempting to follow the program or to modify it.
 *
 * For licensing and copyright information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

require_once('va-functions.inc.php');       // A VADV-PHP script.
require_once('va-main.inc.php');            // Include the main BBS configuration.

?>

<html>

<head>
<title>[Today's Callers] - <?php print $VA_MAIN['bbsname']; ?></title>
<meta http-equiv="Content-Language" content="en-us">
<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
</head>

<body text="#C0C0C0" bgcolor="#000000">
<font face="Courier New" color="#FFFFFF" size="3">
<p align="right"><b>Virtual Advanced Today's Callers</b></font>
<hr color="#525552">

<div align="center">
  <center>
  <table border="0" cellspacing="0" cellpadding="0">
    <tr>
      <td align="left">

<?php
// Set the filename.
$filename = $VA_SYSPATHS['data'] . '/callers.lst';
if (!is_file($filename)) {
    print "<pre><font size=\"2\" color=\"#FFFF52\">\nNo Callers Today!</pre>\n";
} else if (filesize($filename) == 0) {
    print "<pre><font size=\"2\" color=\"#FFFF52\">\nNo Callers Today!</pre>\n";
} else {
    $file = file($filename);
    
    // Print each line and convert heart codes to html.
    print "<pre><font size=\"2\">\n";
    for ($x = 0; isset($file[$x]); $x++) {
        print FixHeartColors($file[$x]) . "<br>";
    }
    print "</font></pre>\n";
}
?>

      </td>
    </tr>
  </table>
  </center>
</div>
</font>

<hr color="#525552">
<font face="Verdana, Arial, Helvetica" color="#FFFFFF" size="1"><p align="center"><b>This display was created using <a href="http://www.vadvphp.com"><font color="#FFFFFF">VADV-PHP</font></a>.</b></p></font>

</body>

</html>
