<?php
/*
 * ----------------------------------------------------------------------------
 * VConfig_VADV-PHP_Process.php                                      02/20/2003
 * This script processes the info from the vconfig_vadv-php.php script.
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2003 Steve Winn. All Rights Reserved.
 *
 * The source code contains a fair amount of comments, which may aid anyone
 * attempting to follow the program or to modify it.
 *
 * For licensing and copyright information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

require_once("va-functions.inc.php");       // A VADV-PHP script.
require_once("va-loginauth.inc.php");       // Login authentication.

if (($USER["userno"] == 0) || ($USER["securitylevel"] != 255)) die("You do not have access to this area. Press the BACK button of your browser.");
if ((!isset($_POST["process"])) || ($_POST["process"] != 1)) die();
if (!isset($_POST["submit"])) die();

if ($_POST["submit"] == "Reset") {
    header("Location: " . $_POST["referer"]);
    die();
}

$newConfig = $CONFIG;

if ((isset($_POST["telnet"]))       && ($_POST["telnet"]       != $CONFIG["telnet"]))       $newConfig["telnet"]       = $_POST["telnet"];
if ((isset($_POST["hostname"]))     && ($_POST["hostname"]     != $CONFIG["hostname"]))     $newConfig["hostname"]     = $_POST["hostname"];
if ((isset($_POST["filehost"]))     && ($_POST["filehost"]     != $CONFIG["filehost"]))     $newConfig["filehost"]     = $_POST["filehost"];
if ((isset($_POST["bbsdir"]))       && ($_POST["bbsdir"]       != $CONFIG["bbsdir"]))       $newConfig["bbsdir"]       = $_POST["bbsdir"];
if ((isset($_POST["webmaster"]))    && ($_POST["webmaster"]    != $CONFIG["webmaster"]))    $newConfig["webmaster"]    = $_POST["webmaster"];
if ((isset($_POST["usersl"]))       && ($_POST["usersl"]       != $CONFIG["usersl"]))       $newConfig["usersl"]       = $_POST["usersl"];
if ((isset($_POST["useraccflags"])) && ($_POST["useraccflags"] != $CONFIG["useraccflags"])) $newConfig["useraccflags"] = $_POST["useraccflags"];
if ((isset($_POST["userage"]))      && ($_POST["userage"]      != $CONFIG["userage"]))      $newConfig["userage"]      = $_POST["userage"];

if (isset($newConfig)) WriteConfig($newConfig);

header('Location: ' . $_POST['referer']);

?>
